body {
    font-family: "Noto Sans KR", sans-serif;
    margin: 0;
    padding: 0;
    height: 100%;
}

html {
    height: 100%;
}

.main-slider {
    width: 100%;
    height: 90vh;
    position: relative;
    overflow: hidden;
}

.slides {
    width: 100%;
    height: 100%;
    position: relative;
}


.slides img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 1s ease;
}


.slides img.active {
    opacity: 1;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.3);
}

.overlay h1 {
    font-size: 5em;
}

.overlay .subtitle {
    font-size: 1.2em;
}

.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 50px;
    height: 50px;
    background-color: rgba(255, 255, 255, 0);
    border: none;
    cursor: pointer;
    z-index: 0;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}

.prev::after,
.next::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 20px;
    border-top: 3px solid white;
    border-right: 3px solid white;
}

.prev::after {
    transform: translate(-30%, -50%) rotate(-135deg);
}

.next::after {
    transform: translate(-70%, -50%) rotate(45deg);
}

.vision-mission-container {
    display: flex;
    justify-content: center; /* 중앙 정렬로 변경 */
    gap: 10px; /* 박스 사이의 간격 설정 */
    padding: 80px 5%;
    background-color: #f5f5f5;
}

.box {
    width: 35%; /* 너비를 조금 줄임 */
    min-height: 400px;
    display: flex;
    align-items: stretch;
    justify-content: center;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
    margin-bottom: 30px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    overflow: hidden;
}

.box .content {
    padding: 40px;
    padding-top:30px;
    border-radius: 5px;
    display: flex;
    flex-direction: column; 
    justify-content: center; 
    width: 100%;
}

.box h3 {
    font-size: 2em;
    margin-bottom: 20px;
    position: relative;
    color: white;
}

.box b {
    display: block;
    width: 50px;
    height: 3px;
    background-color:aquamarine;
    margin: 8px auto;
}

.box h4 {
    font-size: 1.2em;
    margin: 5px 0;
    color: white;
}

/* .vision {
    background-color: rgba(0, 0, 0, 0.3);
    background-image: url('/imgs/noah-buscher-x8ZStukS2PM-unsplash.jpg');
    background-blend-mode: darken;
}

.mission {
    background-color: rgba(0, 0, 0, 0.3);
    background-image: url('/imgs/jonathan-kemper-oHCalaoeD0Q-unsplash.jpg');
    background-blend-mode: darken;
} */

.vision, .mission {
    position: relative;
}

.vision img, .mission img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.vision::before, .mission::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 0;
}

.vision .content, .mission .content {
    position: relative;
    z-index: 1;
}


.sub-slider-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px 5%;
    background-color: #f5f5f5;
    overflow: hidden;
}

.sub-slider-text {
    width: 45%;
    padding-right: 30px;
}

.sub-slider-image-container {
    width: 50%; 
    position: relative;
}

.sub-slider-image {
    width: 100%;
    max-width: 100%;
}

.slider-for li h3 {
    font-size: 2.5em;
    margin-bottom: 15px;
    color: #333;
}

.slider-for li span {
    font-size: 1.2em;
    color: #666;
    line-height: 1.5;
    display: block;
    margin-bottom: 20px;
}

.slider-for, .slider-nav {
    list-style-type: none;
    padding: 0;
    margin: 0;
    position: relative;
}

.slider-for li, .slider-nav li {
    display: none;
    transition: opacity 0.5s ease-in-out;
}

.slider-for li.active, .slider-nav li.active {
    display: block;
    opacity: 1;
}

.visu_item {
    height: 500px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    transition: opacity 0.5s ease-in-out; 
}

.sub-prev, .sub-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(255,255,255,0.7);
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background 0.3s;
    z-index: 1;
}

.sub-prev:hover, .sub-next:hover {
    background: rgba(255,255,255,0.9);
}

.sub-prev {
    left: 10px;
}

.sub-next {
    right: 10px;
}

.visu_item01 { background-image: url('/imgs/PowertoSmartFarm2.jpeg'); }
.visu_item02 { background-image: url('/imgs/PowertoCo2FreeFarm2.jpeg'); }
.visu_item03 { background-image: url('/imgs/PowertoBioFarm1.jpeg'); }


@media (max-width: 768px) {
    .main-slider {
        height: 80vh;
    }

    .overlay h1 {
        font-size: 2.5em;
    }

    .overlay .subtitle {
        font-size: 0.8em;
    }

    .prev,
    .next {
        display: none;
    }

    .vision-mission-container {
        flex-direction: column;
        gap: 5px; /* 모바일에서의 간격 조정 */
    }
    
    .box {
        width: 100%;
    }

    .sub-slider-container {
        flex-direction: column;
        padding: 30px 0.5; /* 좌우 패딩을 제거 */
    }
    
    .sub-slider-text, .sub-slider-image-container {
        width: 100%;
        padding: 0 15px; /* 텍스트와 이미지 컨테이너에 약간의 좌우 패딩 추가 */
    }

    .sub-slider-image {
        max-width: 100%;  /* 모바일에서는 전체 너비 사용 */
    }
    
    .visu_item {
        height: 300px; /* 모바일에서 높이를 더 줄임 */ 
    }
    
    .sub-slider-text {
        padding-right: 0;
        margin-bottom: 30px;
    }
    
     .sub-prev, .sub-next {
        width: 30px; /* 버튼 크기 줄임 */
        height: 30px;
    }

    .sub-prev {
        left: 20px;  /* 왼쪽 버튼을 오른쪽으로 10px 이동 */
    }
    
    .sub-next {
        right: 20px;  /* 오른쪽 버튼을 왼쪽으로 10px 이동 */
    }
    
    .slider-for li h3 {
        font-size: 1.5em;
    }
    
    .slider-for li span {
        font-size: 0.8em;
    }
}